name: deepseq
version: 1.4.2.0
id: deepseq-1.4.2.0
key: deepseq-1.4.2.0
license: BSD3
maintainer: libraries@haskell.org
synopsis: Deep evaluation of data structures
description:
    This package provides methods for fully evaluating data structures
    (\"deep evaluation\"). Deep evaluation is often used for adding
    strictness to a program, e.g. in order to force pending exceptions,
    remove space leaks, or force lazy I/O to happen. It is also useful
    in parallel programs, to ensure pending work does not migrate to the
    wrong thread.
    .
    The primary use of this package is via the 'deepseq' function, a
    \"deep\" version of 'seq'. It is implemented on top of an 'NFData'
    typeclass (\"Normal Form Data\", data structures with no unevaluated
    components) which defines strategies for fully evaluating different
    data types.
category: Control
exposed: True
exposed-modules:
    Control.DeepSeq
abi: a66017654ca90901b8cbc5f222a392c9
trusted: False
import-dirs: /opt/ghc-8.0.1/lib/ghc-8.0.1/deepseq-1.4.2.0
library-dirs: /opt/ghc-8.0.1/lib/ghc-8.0.1/deepseq-1.4.2.0
data-dir: /opt/ghc-8.0.1/share/x86_64-linux-ghc-8.0.1/deepseq-1.4.2.0
hs-libraries: HSdeepseq-1.4.2.0
depends:
    array-0.5.1.1 base-4.9.0.0
haddock-interfaces: /opt/ghc-8.0.1/share/doc/ghc-8.0.1/html/libraries/deepseq-1.4.2.0/deepseq.haddock
haddock-html: /opt/ghc-8.0.1/share/doc/ghc-8.0.1/html/libraries/deepseq-1.4.2.0
